Subject: Corrupt Process Listing
From: [email-masked] (Ian Collins)

9 May 1998 21:07:11 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: gnuwin32 <[email-masked]>

(This looks better in fixed width font).
I am using NT4 SP3. I downloaded coolview this morning.

I am running a job that executes thousands of processes. It doesn't seem
to matter whether I run this job interactively or in the background.
The job is essentially a script with lots of calls to "make". After a
while, make refuses to start any more processes, just echoing the error
"waitforjob: no children".

After this happens, the output of ps (the ps with coolview) looks as
follows,
(Incidentally, the date is on the PC is correct at, Sun May 10 10:12:36
1998).

/usr3/ian:  ps
       PID     PPID     PGID   WINPID  UID TTY    STIME COMMAND
I    32896     1000    32896      180  500  -1 09:57:02
e:\usr\local\libexec\in.telnetd
O        0        0        0        0    0   0   Jan 01
I        0        0        0        0    0   0   Jan 01
         0        0        0        0    0   2   Jan 01
I        0        0        0        0    0   0   Jan 01 B19\cpp.exe
S        0        0        0        0    0   0   Jan 01
I        0        0        0        0    0   0   Jul 09 <defunct>
S        0        0        0        0    0   0   Jan 01 <defunct>
         0        0 268750116     1024 5512 268750228   Jan 01 <defunct>

I        0        0        0        0 5272 268466892   Jan 01
I        0        0        0        0    0   0   Jan 01
S        0        0 828536174        0 14949 909652841   Jul 08
I        0        0 44768592        0  137 -1024   Jan 01
S        0        0        0        0    0   0   Jan 01 <defunct>
O        0    32835        1 33620970 1002   0   Jan 01
9\H-i386-cygwin32\bin\bash.exe
         0        0        0        0    0   0   Jan 01 <defunct>
I        0        0        0        0    0   0   Jan 01
S        0        0        2        0    0   0   Jan 01

The only thing I can do now is reboot (Incidentally, is there an easy
way of doing this? I am logged on to our gnuwin32 server from Home using
telnet. I am actually rebooting the remote NT machine using a network
manager, ntmanage. A command line reboot would be great).

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".